Subject: Re: bug#29984: core-updates: GRUB test failures

From: [email-masked] (Ludovic Courtès)
Date: Mon, 29 Jan 2018 14:51:01 +0100

Mark H Weaver <[email-masked]> skribis:

> Leo Famulari <[email-masked]> writes:
>
>> On Mon, Jan 08, 2018 at 11:56:47AM +0100, Ludovic Courtès wrote:
>>> Leo Famulari <[email-masked]> skribis:
>>> 
>>> > On Thu, Jan 04, 2018 at 03:05:11PM -0500, Leo Famulari wrote:
>>> >> FAIL: grub_func_test
>>> >
>>> > I saved the failed build tree to get at this test's log. The full
>>> > contents of the log are this line:
>>> >
>>> > Functional test failure:
>>> 
>>> Nice.  What does upstream say?  :-)
>>
>> I'm working on this today; I'll send them a bug report soon.
>>
>> I'm going to try skipping the tests to see if this GRUB can boot a
>> system, and I'm also going to try running the tests on the latest commit
>> from the upstream Git repo.
>
> I believe this is now fixed, by commit
> 0a2a70539bdf42d59c9be5fcbc88a1c14743303a on core-updates.
>
> The problem turned out to be that GRUB's build system couldn't find
> 'freetype', because 'pkg-config' was missing from the build environment.
> This disabled font generation, as I discovered when I booted into a
> core-updates system and found that GRUB was unable to find its font.
>
> After I fixed that problem, I was pleased to find that the test suite
> started succeeding again as well :)

Oh, good catch!

Looks like ‘core-updates’ is getting close to ready…

Thanks,
Ludo’.